import { KeyValueProviderInterface } from './keyValueUtils.js';
export declare function getPoolConfig(): Promise<any>;
export declare function hasPoolConfig(): Promise<boolean>;
export declare function getPoolStorage(options?: any): Promise<any>;
export declare function setPoolStorage(value: any, options?: any): Promise<boolean | null>;
export declare function updateActiveScratchOrg(scratchOrg: string, keyValues: any, options?: any): Promise<any>;
export declare function addScratchOrgToPool(scratchOrg: any, options?: any): Promise<void>;
export declare function fetchScratchOrg(options: any): Promise<any>;
export declare function tryFetchScratchOrg(options: any): Promise<any>;
export declare function listKeyValueProviders(): Promise<Array<KeyValueProviderInterface>>;
export declare function instantiateProvider(storageService: string): Promise<KeyValueProviderInterface>;
